Omnistrate Fleet API (2022-09-01-00)

Download OpenAPI specification:

REST API for Omnistrate Fleet

cost-api

The cost API provides insights into the cost of operating a fleet

DescribeCloudProviderCost cost-api

Get the total cost of operating a fleet on a cloud provider

Authorizations:
api_key_header_Authorization
query Parameters
startDate
required
string <date-time>
Example: startDate=2023-01-01T10:00:00Z

The start date of the range

endDate
required
string <date-time>
Example: endDate=2024-01-01T10:00:00Z

The end date of the range

environmentType
required
string
Example: environmentType=DEV

The type of environment to filter costs by

frequency
required
string
Example: frequency=DAILY|MONTHLY

The frequency of the cost data

includeCloudProviderIDs
string
Example: includeCloudProviderIDs=infra-12345678,infra-23456789

The cloud provider IDs to include in the cost data

excludeCloudProviderIDs
string
Example: excludeCloudProviderIDs=infra-12345678,infra-23456789

The cloud provider IDs to exclude from the cost data

Responses

Response samples

Content type
application/json
{
  • "cloudProviderCosts": {
    }
}

DescribeDeploymentCellCost cost-api

Get the total cost of operating a fleet in a deployment cell

Authorizations:
api_key_header_Authorization
query Parameters
startDate
required
string <date-time>
Example: startDate=2023-01-01T10:00:00Z

The start date of the range

endDate
required
string <date-time>
Example: endDate=2024-01-01T10:00:00Z

The end date of the range

environmentType
required
string
Example: environmentType=DEV

The type of environment to filter costs by

frequency
required
string
Example: frequency=DAILY|MONTHLY

The frequency of the cost data

includeCloudProviderIDs
string
Example: includeCloudProviderIDs=infra-12345678,infra-23456789

The cloud provider IDs to include in the cost data

excludeCloudProviderIDs
string
Example: excludeCloudProviderIDs=infra-12345678,infra-23456789

The cloud provider IDs to exclude from the cost data

includeRegionIDs
string
Example: includeRegionIDs=region-12345678,region-23456789

The region IDs to include in the cost data

excludeRegionIDs
string
Example: excludeRegionIDs=region-12345678,region-23456789

The region IDs to exclude from the cost data

includeDeploymentCellIDs
string
Example: includeDeploymentCellIDs=hc-12345678,hc-23456789

The deployment cell IDs to include in the cost data

excludeDeploymentCellIDs
string
Example: excludeDeploymentCellIDs=hc-12345678,hc-23456789

The deployment cell IDs to exclude from the cost data

includeInstanceIDs
string
Example: includeInstanceIDs=instance-12345678,instance-23456789

The instance IDs to include in the cost data

excludeInstanceIDs
string
Example: excludeInstanceIDs=instance-12345678,instance-23456789

The instance IDs to exclude from the cost data

topNInstances
integer <int64>
Example: topNInstances=10

The number of top instances to include in the cost data

Responses

Response samples

Content type
application/json
{
  • "deploymentCellCosts": {
    }
}

DescribeRegionCost cost-api

Get the total cost of operating a fleet in a region

Authorizations:
api_key_header_Authorization
query Parameters
startDate
required
string <date-time>
Example: startDate=2023-01-01T10:00:00Z

The start date of the range

endDate
required
string <date-time>
Example: endDate=2024-01-01T10:00:00Z

The end date of the range

environmentType
required
string
Example: environmentType=DEV

The type of environment to filter costs by

frequency
required
string
Example: frequency=DAILY|MONTHLY

The frequency of the cost data

includeCloudProviderIDs
string
Example: includeCloudProviderIDs=infra-12345678,infra-23456789

The cloud provider IDs to include in the cost data

excludeCloudProviderIDs
string
Example: excludeCloudProviderIDs=infra-12345678,infra-23456789

The cloud provider IDs to exclude from the cost data

includeRegionIDs
string
Example: includeRegionIDs=region-12345678,region-23456789

The region IDs to include in the cost data

excludeRegionIDs
string
Example: excludeRegionIDs=region-12345678,region-23456789

The region IDs to exclude from the cost data

Responses

Response samples

Content type
application/json
{
  • "regionCosts": {
    }
}

DescribeUserCost cost-api

Get the total cost of operating a fleet for a user

Authorizations:
api_key_header_Authorization
query Parameters
startDate
required
string <date-time>
Example: startDate=2023-01-01T10:00:00Z

The start date of the range

endDate
required
string <date-time>
Example: endDate=2024-01-01T10:00:00Z

The end date of the range

environmentType
required
string
Example: environmentType=DEV

The type of environment to filter costs by

includeUserIDs
string
Example: includeUserIDs=user-12345678,user-23456789

The user IDs to include in the cost data

excludeUserIDs
string
Example: excludeUserIDs=user-23456789

The user IDs to exclude from the cost data

topNUsers
integer <int64>
Example: topNUsers=10

The number of top users to include in the cost data

topNInstances
integer <int64>
Example: topNInstances=10

The number of top instances to include in the cost data

Responses

Response samples

Content type
application/json
{
  • "userCosts": {
    }
}

fleet-workflows-api

The set of APIs manage the internal temporal workflows.

ListServiceWorkflows fleet-workflows-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

query Parameters
nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

instanceId
string
Example: instanceId=instance-12345678

The instance ID of the workflow

startDate
string <date-time>
Example: startDate=2023-01-01T10:00:00Z

Start date of the workflows

endDate
string <date-time>
Example: endDate=2024-01-01T10:00:00Z

End date of the workflows

excludeStats
boolean
Example: excludeStats=true

Whether to exclude expensive stats (e.g. per-workflow resource count) from the response.

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "nextPageToken": "token",
  • "serviceId": "s-123456",
  • "workflows": [
    ]
}

DescribeServiceWorkflowSummary fleet-workflows-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

Responses

Response samples

Content type
application/json
{
  • "ActiveWorkflowCount": 4958356822074689000,
  • "CompletedWorkflowCount": 3818487373769900500,
  • "FailedWorkflowCount": 4827462536381664000,
  • "environmentId": "se-123456",
  • "serviceId": "s-123456"
}

TerminateServiceWorkflow fleet-workflows-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: submit-create-instance-plan-instance-50h74sj46

ID of the ServiceWorkflow

Responses

Response samples

Content type
application/json
{
  • "ResourceCount": 5837695407072092000,
  • "UpdatedBy": "Anonymous",
  • "UpdatedReason": "Customer requested termination.",
  • "WorkflowType": "Service deployment.",
  • "awsAccountID": "123456789012",
  • "azureSubscriptionID": "0fa05079-dd73-4b88-babc-05537817604a",
  • "cloudProvider": "aws|azure|gcp|nebius|oci|all",
  • "endTime": "2020-01-01T00:01:00Z",
  • "gcpProjectID": "my-project",
  • "id": "submit-create-instance-plan-instance-50h74sj46",
  • "manualOverride": {
    },
  • "ociTenancyID": "ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  • "orgName": "my-org",
  • "parentId": "Minima sit quia quo laborum neque quas.",
  • "planType": "my-plan",
  • "servicePlanName": "my-product-tier-plan",
  • "startTime": "2020-01-01T00:00:00Z",
  • "status": "IN_PROGRESS"
}

DescribeServiceWorkflow fleet-workflows-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: submit-create-instance-plan-instance-50h74sj46

ID of the ServiceWorkflow

Responses

Response samples

Content type
application/json
{
  • "Resources": [
    ],
  • "Workflow": {
    },
  • "environmentId": "se-123456",
  • "serviceId": "s-123456"
}

UpdateServiceWorkflow fleet-workflows-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: submit-create-instance-plan-instance-50h74sj46

ID of the ServiceWorkflow

Request Body schema: application/json
required
status
required
string

Update the status of the workflow execution. You can pause, resume or retry a workflow.

Responses

Request samples

Content type
application/json
{
  • "status": "pause|resume|retry"
}

Response samples

Content type
application/json
{
  • "ResourceCount": 142256664127468110,
  • "UpdatedBy": "Anonymous",
  • "UpdatedReason": "Customer requested termination.",
  • "WorkflowType": "Service deployment.",
  • "awsAccountID": "123456789012",
  • "azureSubscriptionID": "0fa05079-dd73-4b88-babc-05537817604a",
  • "cloudProvider": "aws|azure|gcp|nebius|oci|all",
  • "endTime": "2020-01-01T00:01:00Z",
  • "gcpProjectID": "my-project",
  • "id": "submit-create-instance-plan-instance-50h74sj46",
  • "manualOverride": {
    },
  • "ociTenancyID": "ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  • "orgName": "my-org",
  • "parentId": "Et animi quia harum.",
  • "planType": "my-plan",
  • "servicePlanName": "my-product-tier-plan",
  • "startTime": "2020-01-01T00:00:00Z",
  • "status": "IN_PROGRESS"
}

GetWorkflowEvents fleet-workflows-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: submit-create-instance-plan-instance-50h74sj46

ID of the ServiceWorkflow

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "id": "submit-create-instance-plan-instance-50h74sj46",
  • "resources": [
    ],
  • "serviceId": "s-123456"
}

inventory-api

The set of APIs manage the inventory for service providers.

DeleteAccountConfig inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: ac-12345678

Account Config ID to operate on

Responses

DescribeAccountConfig inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: ac-12345678

Account Config ID to operate on

Responses

Response samples

Content type
application/json
{
  • "awsAccountID": "123456789012",
  • "awsBootstrapRoleARN": "arn:aws:iam::<ACCOUNT_ID>:role/<ROLE_NAME>",
  • "azureBootstrapShellCommand": "bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"",
  • "azureBootstrapUserClientID": "3ec55e76-d2be-46a6-80d2-10984e0e17a1",
  • "azureDisconnectShellCommand": "bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"",
  • "azureOffboardShellCommand": "bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/azure-offboard.sh?account_config_id=ac-MOju2uwKM0)\"",
  • "azureSubscriptionID": "12345678-1234-1234-1234-123456789012",
  • "azureTenantID": "12345678-1234-1234-1234-123456789012",
  • "byoaInstanceIDs": [
    ],
  • "cloudProviderId": "Voluptatibus reprehenderit.",
  • "description": "An AWS account hosting multiple dev environments",
  • "gcpBootstrapShellCommand": "bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-bootstrap.sh?account_config_id=ac-MOju2uwKM0)\"",
  • "gcpDisconnectShellCommand": "bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-disconnect.sh?account_config_id=ac-MOju2uwKM0)\"",
  • "gcpOffboardShellCommand": "bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/gcp-offboard.sh?account_config_id=ac-MOju2uwKM0)\"",
  • "gcpProjectID": "my-project",
  • "gcpProjectNumber": "123456789012",
  • "gcpServiceAccountEmail": "bootstrap@my-project.iam.gserviceaccount.com",
  • "id": "Sint rerum est qui voluptas praesentium vero.",
  • "name": "Dev AWS account",
  • "nebiusBindings": [
    ],
  • "nebiusTenantID": "tenant-e00ezh17k22wmwq5f0",
  • "ociBootstrapShellCommand": "bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-bootstrap.sh?account_config_id=ac-YpsR5dKPB6)\"",
  • "ociBootstrapUserID": "ocid1.user.oc1..aaaaaaaaa6kkllecgcpbqt3ejal7sq5ig7xcxz3pgvn3j2hb2wlu7ny4vpyq",
  • "ociDisconnectShellCommand": "bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-disconnect.sh?account_config_id=ac-YpsR5dKPB6)\"",
  • "ociDomainID": "ocid1.domain.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  • "ociOffboardShellCommand": "bash -c \"$(curl -fsSL https://omnistrate.com/account-setup/oci-offboard.sh?account_config_id=ac-YpsR5dKPB6)\"",
  • "ociTenancyID": "ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  • "status": "PENDING|VERIFYING|READY|FAILED|DELETING|READY_TO_OFFBOARD",
  • "statusMessage": "Account is ready"
}

ListAccountConfigs inventory-api

Authorizations:
api_key_header_Authorization
Request Body schema: application/json
required
cloudProviderName
required
string

Cloud Provider name to filter on

Responses

Request samples

Content type
application/json
{
  • "cloudProviderName": "aws|azure|gcp|nebius|oci|all"
}

Response samples

Content type
application/json
{
  • "accountConfigs": [
    ],
  • "ids": [
    ],
  • "nextPageToken": "next-token"
}

ListAllInstancesInHostCluster inventory-api

Return all resource instances in the given host cluster

Authorizations:
api_key_header_Authorization
path Parameters
hostClusterId
required
string
Example: hc-12345678

ID of the host cluster to list instances for

query Parameters
nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

Responses

Response samples

Content type
application/json
{
  • "instances": [
    ],
  • "nextPageToken": "token"
}

ListAllOrganizations inventory-api

Authorizations:
api_key_header_Authorization
query Parameters
hasInvoice
boolean
Example: hasInvoice=true

Filter for organizations with invoices

hasInvoiceWithStatus
string
Example: hasInvoiceWithStatus=draft|open|paid|uncollectible|void

Filter for organizations with invoices with a specific status

hasInvoiceFromDate
string <date-time>
Example: hasInvoiceFromDate=2023-01-01T10:00:00Z

Filter for organizations with invoices from a specific date

hasInvoiceToDate
string <date-time>
Example: hasInvoiceToDate=2024-01-01T10:00:00Z

Filter for organizations with invoices to a specific date

Responses

Response samples

Content type
application/json
{
  • "nextPageToken": "next-token",
  • "organizations": [
    ]
}

DeleteProxyResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceProviderId
required
string
Example: omnistrate

The service provider ID

serviceKey
required
string
Example: service-orchestration

The service name

serviceAPIVersion
required
string
Example: v1

The service API version

serviceEnvironmentKey
required
string
Example: dev

The service environment name

serviceModelKey
required
string
Example: hosted

The service model name

productTierKey
required
string
Example: premium

The product tier name

id
required
string
Example: instance-abcd1234

The instance ID

Responses

CreateProxyResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceProviderId
required
string
Example: omnistrate

The service provider ID

serviceKey
required
string
Example: service-orchestration

The service name

serviceAPIVersion
required
string
Example: v1

The service API version

serviceEnvironmentKey
required
string
Example: dev

The service environment name

serviceModelKey
required
string
Example: hosted

The service model name

productTierKey
required
string
Example: premium

The product tier name

sourceResourceKey
required
string
Example: mysql

The serverless resource key

Request Body schema: application/json
required
cloud_provider
string

The cloud provider name

region
string

The region code

requestParams
any

The request parameters

Responses

Request samples

Content type
application/json
{
  • "cloud_provider": "aws",
  • "region": "us-east-1",
  • "requestParams": {
    }
}

Response samples

Content type
application/json
{
  • "id": "Error quis et non."
}

AdoptResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceID
required
string
Example: s-12345678

Service ID

servicePlanID
required
string
Example: pt-12345678

The service plan ID

hostClusterID
required
string
Example: hc-12345678

The host cluster ID or key

primaryResourceKey
required
string
Example: mysql

The primary resource key to adopt. This is the top-level resource that will be managed by Omnistrate.

query Parameters
servicePlanVersion
string
Example: servicePlanVersion=1.0

The service plan version

subscriptionID
string
Example: subscriptionID=sub-12345678

The subscription ID of the resource instance

Request Body schema: application/json
required
object

The resource adoption configuration

Responses

Request samples

Content type
application/json
{
  • "resourceAdoptionConfiguration": {
    }
}

Response samples

Content type
application/json
{
  • "id": "Expedita molestias enim tenetur enim voluptatem quis."
}

CreateResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceProviderId
required
string
Example: omnistrate

The service provider ID

serviceKey
required
string
Example: service-orchestration

The service name

serviceAPIVersion
required
string
Example: v1

The service API version

serviceEnvironmentKey
required
string
Example: dev

The service environment name

serviceModelKey
required
string
Example: hosted

The service model name

productTierKey
required
string
Example: premium

The product tier name

resourceKey
required
string
Example: mysql

The resource key

Request Body schema: application/json
required
cloud_provider
string

The cloud provider name

custom_network_id
string

Custom network for resource

Array of objects (CustomTag)

The custom tags for the resource instance.

externalPayerId
string

The external payer id to record which customer should pay for this resource instance. This will override the subscription level external payer id if set.

instanceId
string

The ID of a previously deleted instance to restore. When provided, the instance will be re-provisioned with the same ID.

network_type
string

The network type

onprem_platform
string

OnPrem platform

productTierVersion
string

The product tier version

region
string

The region code

requestParams
any

The request parameters

subscriptionId
string

The subscription ID

Array of objects (WorkflowBreakpoint)

The workflow breakpoints for the resource instance.

Responses

Request samples

Content type
application/json
{
  • "cloud_provider": "aws",
  • "custom_network_id": "n-1234567890",
  • "customTags": [
    ],
  • "externalPayerId": "external-billing-id-1234",
  • "instanceId": "instance-12345678",
  • "network_type": "PUBLIC|INTERNAL",
  • "onprem_platform": "OpenShift",
  • "productTierVersion": "1.0",
  • "region": "us-east-1",
  • "requestParams": {
    },
  • "subscriptionId": "Et a consequatur exercitationem voluptate iure et.",
  • "workflowBreakpoints": [
    ]
}

Response samples

Content type
application/json
{
  • "id": "Laboriosam est omnis expedita temporibus sed."
}

SearchInventory inventory-api

Authorizations:
api_key_header_Authorization
Request Body schema: application/json
required
query
required
string

The search query. Supports prefixed searches such as 'service:', 'user:', 'subscription:', 'deploymentcell:', 'serviceplan:', 'resource:', 'serverlessproxy:', 'resourceinstance:', 'snapshot:', 'notification:', 'workflow:', 'upgradepath:', 'all:'. Without a prefix, performs a text search across resource instances, notifications, and workflows.

Responses

Request samples

Content type
application/json
{
  • "query": "snapshot:instance-12345678"
}

Response samples

Content type
application/json
{
  • "deploymentCellResults": [
    ],
  • "notificationResults": [
    ],
  • "proxyInstanceResults": [
    ],
  • "resourceInstanceResults": [
    ],
  • "resourceResults": [
    ],
  • "serverlessProxyResults": [
    ],
  • "servicePlanResults": [
    ],
  • "serviceResults": [
    ],
  • "snapshotResults": [
    ],
  • "subscriptionResults": [
    ],
  • "upgradePathResults": [
    ],
  • "userResults": [
    ],
  • "workflowResults": [
    ]
}

ListServiceOfferings inventory-api

Authorizations:
api_key_header_Authorization
query Parameters
visibility
string
Example: visibility=PRIVATE

The visibility of service offering

Responses

Response samples

Content type
application/json
{}

DescribeServiceOffering inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID

query Parameters
visibility
string
Example: visibility=PRIVATE

The visibility of service offering

productTierId
string
Example: productTierId=pt-12345678

The product tier Id

productTierVersion
string
Example: productTierVersion=1.0.0

The product tier version

Responses

Response samples

Content type
application/json
{}

DescribeServiceOfferingResource inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID

resourceId
required
string
Example: r-12345678

The resource ID

instanceId
required
string
Default: "none"
Example: instance-12345678

The instance ID

query Parameters
productTierId
string
Example: productTierId=pt-12345678

The product tier Id

productTierVersion
string
Example: productTierVersion=1.0.0

The product tier version

Responses

Response samples

Content type
application/json
{
  • "ConsumptionDescribeServiceOfferingResourceResult": {
    }
}

UpdateAccountConfigResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
Array of objects (FleetUpdateAccountConfigNebiusBindingInput)

Full replacement set of Nebius bindings for this account config instance

setConnection
boolean

set account config instance connection

Responses

Request samples

Content type
application/json
{
  • "nebiusBindings": [
    ],
  • "setConnection": true
}

RemoveCustomDNSFromResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

resourceKey
required
string
Example: http-service

The resource key

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Responses

AddCustomDNSToResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

resourceKey
required
string
Example: http-service

The resource key

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
customDNS
required
string

The custom DNS to add

targetPort
integer <int64>

The target port

Responses

Request samples

Content type
application/json
{
  • "customDNS": "my-custom-dns.com",
  • "targetPort": 8080
}

DescribeHostCluster inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: hc-12345678

The host cluster ID

Responses

Response samples

Content type
application/json
{
  • "awsAccountID": "123456789012",
  • "azureSubscriptionID": "0fa05079-dd73-4b88-babc-05537817604a",
  • "cloudProvider": "aws|azure|gcp|nebius|oci|all",
  • "createdAt": "2021-01-01T00:00:00Z",
  • "dashboardEndpoint": "https://dashboard.example.com",
  • "gcpProjectID": "my-project",
  • "id": "Autem voluptatibus dolorum unde vero eos.",
  • "ociTenancyID": "ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  • "region": "us-east-1",
  • "status": "FAILED|CANCELLED|PENDING_DEPENDENCY|PENDING|RUNNING|DEPLOYING|UPLOADING|READY|SUCCESS|COMPLETE|DELETING|DELETED|UNKNOWN|DISCONNECTED|DISCONNECTING|CONNECTING|DEACTIVATED",
  • "type": "Kubernetes"
}

GenerateTokenForHostClusterDashboard inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: hc-12345678

The host cluster ID

Responses

Response samples

Content type
application/json
{
  • "expirationTimestamp": "2021-01-01T00:00:00Z",
  • "token": "token"
}

ListHostClusters inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

query Parameters
nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

Responses

Response samples

Content type
application/json
{
  • "hostClusters": [
    ],
  • "ids": [
    ],
  • "nextPageToken": "next-token"
}

DeleteResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
resourceId
required
string

The resource ID.

skipFinalSnapshot
boolean
Default: false

If true, skip the automatic final snapshot before deletion even if snapshotBeforeDeletion is enabled for the resource.

Responses

Request samples

Content type
application/json
{
  • "resourceId": "Exercitationem ratione officia.",
  • "skipFinalSnapshot": false
}

DescribeResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

query Parameters
detail
boolean
Default: false
Example: detail=true

If true, the response will include detailed information about the resource instance.

Responses

Response samples

Content type
application/json
{
  • "activeBreakpoints": [
    ],
  • "adopted": true,
  • "awsAccountID": "123456789012",
  • "azureSubscriptionID": "0fa05079-dd73-4b88-babc-05537817604a",
  • "cloudProvider": "aws|azure|gcp|nebius|oci|all",
  • "consumptionResourceInstanceResult": {
    },
  • "controlPlaneDeploymentCellID": "At officiis vitae quia quidem consequatur est.",
  • "defaultSubscription": true,
  • "deploymentCellID": "Sed dolorem facilis alias.",
  • "environmentId": "se-123456",
  • "gcpProjectID": "my-project",
  • "input_params": {
    },
  • "instanceDebugCommands": [
    ],
  • "integrationsStatus": [],
  • "launch_input_params": {
    },
  • "maintenanceTasks": {
    },
  • "managedResourceType": "PortsBasedProxy",
  • "manualOverride": {
    },
  • "ociTenancyID": "ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  • "organizationId": "Ratione fugiat quas quibusdam dolor.",
  • "organizationName": "my-org",
  • "portsRegistrationStatus": {
    },
  • "productTierId": "Voluptatem temporibus corrupti.",
  • "productTierName": "premium",
  • "productTierType": "OMNISTRATE_DEDICATED",
  • "proxyType": "PortsBasedProxy",
  • "resourceVersionSummaries": [
    ],
  • "serviceEnvName": "dev",
  • "serviceId": "s-123456",
  • "serviceLogoURL": "Omnis mollitia omnis aspernatur non praesentium est.",
  • "serviceModelId": "Non veritatis deserunt praesentium est consequatur.",
  • "serviceModelName": "hosted",
  • "serviceModelType": "OMNISTRATE_HOSTED",
  • "serviceName": "mysql",
  • "subscriptionId": "Quaerat dolores.",
  • "subscriptionOwnerName": "John Doe",
  • "subscriptionStatus": "ACTIVE|SUSPENDED|TERMINATED|CANCELLED",
  • "tierVersion": "1.0",
  • "tierVersionReleasedAt": "2020-01-01T00:00:00Z",
  • "tierVersionReleasedByUserId": "Exercitationem odit praesentium quos non adipisci repudiandae.",
  • "tierVersionReleasedByUserName": "John Doe",
  • "tierVersionStatus": "Preferred|Active|Deprecated|Pending"
}

UpdateResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
Array of objects (CustomTag)

The custom tags for the resource instance.

network_type
string

The network type

requestParams
any

The request parameters

resourceId
required
string

The resource ID.

Responses

Request samples

Content type
application/json
{
  • "customTags": [
    ],
  • "network_type": "PUBLIC|INTERNAL",
  • "requestParams": {
    },
  • "resourceId": "Odio laudantium facilis."
}

AddCapacityToResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
capacityToBeAdded
required
integer <int64>

Number of replicas to be added

resourceId
required
string

The resource ID.

Responses

Request samples

Content type
application/json
{
  • "capacityToBeAdded": 3,
  • "resourceId": "Consequuntur veniam sint sit esse."
}

TriggerAutomaticResourceInstanceSnapshotCreation inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "serviceId": "s-123456",
  • "snapshotId": "Ut sed in corrupti placeat soluta sint."
}

CopyResourceInstanceSnapshot inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
sourceSnapshotId
string

The source snapshot ID

targetRegion
required
string

The target region to copy the snapshot to

Responses

Request samples

Content type
application/json
{
  • "sourceSnapshotId": "Blanditiis dolores eum quam et.",
  • "targetRegion": "us-west-2"
}

Response samples

Content type
application/json
{
  • "snapshotId": "Doloribus corporis ipsum."
}

DebugResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Responses

Response samples

Content type
application/json
{
  • "instanceId": "instance-12345678",
  • "resourcesDebug": {
    }
}

UpdateResourceInstanceDebugMode inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
enable
required
boolean

Enable debug mode

Responses

Request samples

Content type
application/json
{
  • "enable": true
}

ListDependentComponents inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "nextPageToken": "next-token",
  • "resources": [
    ],
  • "serviceId": "s-123456"
}

DescribeInstanceEvent inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

id
required
string
Example: event-12345678

The ID of the event

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "eventSource": "Customer, Infra or Maintenance",
  • "id": "Consequatur quos iure quia repellat.",
  • "instanceId": "instance-12345678",
  • "message": "instance-abcd1234 created",
  • "orgId": "Quibusdam dolor.",
  • "orgName": "Acme Corporation",
  • "resourceName": "Galera",
  • "serviceId": "s-123456",
  • "time": "2023-01-10T00:00:00Z",
  • "userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10.15; rv:146.0) Gecko/20100101 Firefox/146.0",
  • "userId": "Enim rerum sunt vero ut in.",
  • "userName": "John Doe",
  • "workflowFailures": [
    ],
  • "workflowId": "Aut optio repellat repellat."
}

ListInstanceEvents inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

query Parameters
startTime
string
Example: startTime=2023-01-10T00:00:00Z

Filter events that occurred after this time

endTime
string
Example: endTime=2023-01-10T00:00:00Z

Filter events that occurred before this time

excludeWorkflowFailures
boolean
Example: excludeWorkflowFailures=true

Whether to exclude workflow failure details from the response.

Responses

Response samples

Content type
application/json
{
  • "events": [
    ],
  • "ids": [
    ],
  • "nextPageToken": "token"
}

FailoverResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
failedReplicaAction
string

The failed replica action

failedReplicaID
required
string

The failed replica ID

Responses

Request samples

Content type
application/json
{
  • "failedReplicaAction": "FAILOVER_ONLY|FAILOVER_AND_RESTART|FAILOVER_AND_RECREATE",
  • "failedReplicaID": "db-0"
}

DescribeResourceInstanceInstaller inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Responses

Response samples

Content type
application/json
{
  • "installerURL": "Aliquid iusto voluptas nulla consequatur voluptatibus alias.",
  • "instanceId": "instance-12345678"
}

ListLinkedInstances inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

query Parameters
excludeNetworkTopology
boolean
Example: excludeNetworkTopology=false

Whether to exclude network topology details from the response.

excludeHAStatus
boolean
Example: excludeHAStatus=false

Whether to exclude high availability and autoscaling status from the response.

excludeIntegrations
boolean
Example: excludeIntegrations=false

Whether to exclude integration statuses from the response.

excludeMaintenanceTasks
boolean
Example: excludeMaintenanceTasks=false

Whether to exclude maintenance tasks from the response.

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "nextPageToken": "next-token",
  • "resourceInstances": [
    ],
  • "serviceId": "s-123456"
}

UpdateResourceInstanceMetadata inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
Array of objects (CustomTag)

The custom tags for the resource instance.

deletionProtection
boolean

Set to true to enable deletion protection or false to disable it

enableDebugMode
boolean

Enable debug mode

Responses

Request samples

Content type
application/json
{
  • "customTags": [
    ],
  • "deletionProtection": true,
  • "enableDebugMode": true
}

OneOffPatchResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
resourceId
required
string

The resource ID.

object

The resource override configuration for one-off patching.

targetTierVersion
string

The target resource version.

Responses

Request samples

Content type
application/json
{
  • "resourceId": "Omnis eos provident quae nobis dolorem ut.",
  • "resourceOverrideConfiguration": {
    },
  • "targetTierVersion": "2.0"
}

Response samples

Content type
application/json
{
  • "activeBreakpoints": [
    ],
  • "adopted": true,
  • "awsAccountID": "123456789012",
  • "azureSubscriptionID": "0fa05079-dd73-4b88-babc-05537817604a",
  • "cloudProvider": "aws|azure|gcp|nebius|oci|all",
  • "consumptionResourceInstanceResult": {
    },
  • "controlPlaneDeploymentCellID": "Nobis aut aut consequatur autem nisi iusto.",
  • "defaultSubscription": true,
  • "deploymentCellID": "Repellat architecto sequi dolorem amet.",
  • "environmentId": "se-123456",
  • "gcpProjectID": "my-project",
  • "input_params": {
    },
  • "instanceDebugCommands": [
    ],
  • "integrationsStatus": [],
  • "launch_input_params": {
    },
  • "maintenanceTasks": {
    },
  • "managedResourceType": "PortsBasedProxy",
  • "manualOverride": {
    },
  • "ociTenancyID": "ocid1.tenancy.oc1..aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa",
  • "organizationId": "Sequi ducimus minus omnis corporis.",
  • "organizationName": "my-org",
  • "portsRegistrationStatus": {
    },
  • "productTierId": "Sunt minima error accusantium ex atque.",
  • "productTierName": "premium",
  • "productTierType": "OMNISTRATE_DEDICATED",
  • "proxyType": "PortsBasedProxy",
  • "resourceVersionSummaries": [
    ],
  • "serviceEnvName": "dev",
  • "serviceId": "s-123456",
  • "serviceLogoURL": "Illo et sapiente neque autem sint tempore.",
  • "serviceModelId": "Aut asperiores dolores et rerum non quo.",
  • "serviceModelName": "hosted",
  • "serviceModelType": "OMNISTRATE_HOSTED",
  • "serviceName": "mysql",
  • "subscriptionId": "Perspiciatis quibusdam rerum.",
  • "subscriptionOwnerName": "John Doe",
  • "subscriptionStatus": "ACTIVE|SUSPENDED|TERMINATED|CANCELLED",
  • "tierVersion": "1.0",
  • "tierVersionReleasedAt": "2020-01-01T00:00:00Z",
  • "tierVersionReleasedByUserId": "Soluta ab.",
  • "tierVersionReleasedByUserName": "John Doe",
  • "tierVersionStatus": "Preferred|Active|Deprecated|Pending"
}

RemoveCapacityFromResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
capacityToBeRemoved
required
integer <int64>

Number of replicas to be removed

resourceId
required
string

The resource ID.

Responses

Request samples

Content type
application/json
{
  • "capacityToBeRemoved": 3,
  • "resourceId": "Voluptate iusto quas sed quos dolorem mollitia."
}

RestartResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
resourceId
required
string

The resource ID.

Responses

Request samples

Content type
application/json
{
  • "resourceId": "Et quasi."
}

DescribeResourceInstanceSnapshotFromTime inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
targetRestoreTime
required
string

The target restore time

Responses

Request samples

Content type
application/json
{
  • "targetRestoreTime": "2021-09-01T00:00:00Z"
}

Response samples

Content type
application/json
{
  • "completeTime": "2021-09-01T00:00:00Z",
  • "environmentId": "se-123456",
  • "productTierId": "Omnis cumque beatae perspiciatis alias dolorem labore.",
  • "productTierVersion": "1.0",
  • "serviceId": "s-123456",
  • "snapshotId": "Et est sit aperiam.",
  • "status": "completed"
}

RestoreResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
network_type
string

The network type

targetRestoreTime
required
string

The target restore time

Responses

Request samples

Content type
application/json
{
  • "network_type": "PUBLIC|INTERNAL",
  • "targetRestoreTime": "2021-09-01T00:00:00Z"
}

Response samples

Content type
application/json
{
  • "id": "Et asperiores est exercitationem deleniti."
}

ListResourceInstanceSnapshots inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Responses

Response samples

Content type
application/json
{
  • "snapshots": [
    ]
}

CreateResourceInstanceSnapshot inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
targetRegion
string

The target region to create the snapshot in. If not specified, use the same region as the instance

Responses

Request samples

Content type
application/json
{
  • "targetRegion": "us-west-2"
}

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "serviceId": "s-123456",
  • "snapshotId": "Perferendis est."
}

DescribeResourceInstanceSnapshot inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

snapshotId
required
string
Example: instance-ss-12345678

The instance snapshot ID

Responses

Response samples

Content type
application/json
{
  • "cloudProvider": "aws|azure|gcp|nebius|oci|all",
  • "completeTime": "2021-09-01T00:00:00Z",
  • "createdTime": "2021-09-01T00:00:00Z",
  • "encrypted": true,
  • "environmentId": "se-123456",
  • "outputParams": [
    ],
  • "productTierId": "Vero beatae quo quaerat labore aliquid.",
  • "productTierName": "Premium",
  • "productTierVersion": "1.0",
  • "productTierVersionDescription": "Version 1.0",
  • "progress": 99,
  • "region": "us-west-2",
  • "serviceId": "s-123456",
  • "serviceName": "Postgres",
  • "snapshotId": "Voluptatum fugiat vel.",
  • "snapshotType": "AutomatedSnapshot|ManualSnapshot",
  • "sourceInstanceId": "instance-12345678",
  • "status": "completed",
  • "subscriptionId": "Id id laborum.",
  • "subscriptionOwnerOrgId": "Est recusandae doloremque dolorem dolor eligendi.",
  • "subscriptionOwnerOrgName": "Example Inc.",
  • "subscriptionOwnerUserId": "Non ipsam.",
  • "subscriptionOwnerUserName": "Admin"
}

StartResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
resourceId
required
string

The resource ID.

Responses

Request samples

Content type
application/json
{
  • "resourceId": "Veritatis deleniti omnis harum."
}

StopResourceInstance inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

Request Body schema: application/json
required
resourceId
required
string

The resource ID.

Responses

Request samples

Content type
application/json
{
  • "resourceId": "Doloremque et."
}

ListInstanceUpgradeHistory inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

instanceId
required
string
Example: instance-12345678

The resource instance ID.

query Parameters
nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "instanceId": "instance-12345678",
  • "nextPageToken": "next-token",
  • "serviceId": "s-123456",
  • "upgrades": [
    ]
}

ListResourceInstances inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

query Parameters
ProductTierVersion
string
Example: ProductTierVersion=Ex non illum ex accusantium mollitia.

Product tier version of the instance to describe. If not specified, the latest version is described.

ProductTierId
string
Example: ProductTierId=Veritatis rerum quam voluptates eum.

Product tier id of the instance to describe. Needs to specified in combination with the product tier version

SubscriptionId
string
Example: SubscriptionId=Autem voluptates aut minus dolores officiis.

Subscription id of the instance to describe.

Filter
string
Enum: "onlyCloudAccounts" "excludeCloudAccounts"
Example: Filter=onlyCloudAccounts

Filter to apply to the list of instances.

ExcludeDetail
boolean
Default: false
Example: ExcludeDetail=true

Whether to exclude detailed information about the resource instances.

excludeNetworkTopology
boolean
Example: excludeNetworkTopology=false

Whether to exclude network topology details from the response.

excludeHAStatus
boolean
Example: excludeHAStatus=false

Whether to exclude high availability and autoscaling status from the response.

excludeIntegrations
boolean
Example: excludeIntegrations=false

Whether to exclude integration statuses from the response.

excludeMaintenanceTasks
boolean
Example: excludeMaintenanceTasks=false

Whether to exclude maintenance tasks from the response.

nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "nextPageToken": "next-token",
  • "resourceInstances": [
    ],
  • "serviceId": "s-123456"
}

DescribeResource inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

serviceModelId
required
string
Example: sm-12345678

The service model ID.

productTierId
required
string
Example: pt-12345678

The product tier ID.

resourceId
required
string
Example: r-12345678

The resource ID.

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "instanceCount": 2,
  • "name": "asserts-server",
  • "perVersionInstanceCount": {
    },
  • "productTierType": "OMNISTRATE_DEDICATED",
  • "proxyType": "PortsBasedProxy",
  • "resourceId": "Sint iste.",
  • "serviceId": "s-123456",
  • "serviceModelType": "OMNISTRATE_HOSTED",
  • "supportsPublicNetwork": true,
  • "version": "2.0",
  • "versionHistory": [
    ]
}

ListResources inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

serviceModelId
required
string
Example: sm-12345678

The service model ID.

productTierId
required
string
Example: pt-12345678

The product tier ID.

Request Body schema: application/json
required
environmentType
string

Filter resources by environment type.

nextPageToken
string

Token to use for the next request

orgId
string

Filter resources by organization ID.

pageSize
integer <int64>

The number of resources to return per page.

userId
string

Filter resources by user ID.

Responses

Request samples

Content type
application/json
{
  • "environmentType": "PROD|PRIVATE|CANARY|STAGING|QA|DEV|GLOBAL",
  • "nextPageToken": "next-token",
  • "orgId": "Autem corporis iure.",
  • "pageSize": 10,
  • "userId": "Consequatur ut rerum."
}

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "nextPageToken": "next-token",
  • "resources": [
    ],
  • "serviceId": "s-123456"
}

DescribeOrganization inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

organizationId
required
string
Example: o-12345678

The organization ID.

Responses

Response samples

Content type
application/json
{
  • "email": "omnistrate-devops@examplecorp.com",
  • "orgId": "Repellendus nulla.",
  • "orgName": "Acme Corp",
  • "orgUrl": "omnistrate.com"
}

ListActiveOrganizations inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "nextPageToken": "next-token",
  • "organizations": [
    ],
  • "serviceId": "s-123456"
}

SearchServiceInventory inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

Request Body schema: application/json
required
query
required
string

The search query. Supports prefixed searches such as 'user:', 'org:', 'image:', 'infra:', 'sc:', 'sci:', 'snapshot:'. Without a prefix, performs a general text search.

Responses

Request samples

Content type
application/json
{
  • "query": "snapshot:instance-12345678"
}

Response samples

Content type
application/json
{
  • "results": [
    ],
  • "serviceId": "s-123456"
}

DescribeInventorySummary inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

Responses

Response samples

Content type
application/json
{
  • "EnvironmentCount": 1,
  • "ImagesCount": 1,
  • "InfraConfigCount": 1,
  • "InstancesCount": 1,
  • "OrganizationCount": 1,
  • "ResourceCount": 1,
  • "UserCount": 1,
  • "environmentId": "se-123456",
  • "serviceId": "s-123456"
}

ListAllResourceInstanceSnapshots inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

query Parameters
productTierId
string
Example: productTierId=Veritatis rerum quam voluptates eum.

The product tier id to filter by

subscriptionId
string
Example: subscriptionId=Autem voluptates aut minus dolores officiis.

The subscription id to filter by

snapshotType
string
Example: snapshotType=AutomatedSnapshot|ManualSnapshot

The type of snapshot to filter by. Valid values are: 'ManualSnapshot' and 'AutomatedSnapshot'

Responses

Response samples

Content type
application/json
{
  • "snapshots": [
    ]
}

DeleteResourceInstanceSnapshot inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

snapshotId
required
string
Example: instance-ss-12345678

The instance snapshot ID

Responses

RestoreResourceInstanceFromSnapshot inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

snapshotId
required
string
Example: instance-ss-12345678

The snapshot ID

Request Body schema: application/json
required
custom_network_id
string

Custom network for resource

inputParametersOverride
any

Custom input parameters override

network_type
string

The network type

productTierVersionOverride
string

The product tier version

restoreToSourceInstance
boolean

If true, restore to the same instance ID as the previously deleted source instance. This preserves the original instance ID and endpoint.

Responses

Request samples

Content type
application/json
{
  • "custom_network_id": "n-1234567890",
  • "inputParametersOverride": {
    },
  • "network_type": "PUBLIC|INTERNAL",
  • "productTierVersionOverride": "1.0",
  • "restoreToSourceInstance": false
}

Response samples

Content type
application/json
{
  • "id": "Consequatur qui perspiciatis rerum doloribus voluptatem."
}

ListSubscription inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

query Parameters
productTierId
string
Example: productTierId=pt-12345678

The product tier Id

includeInactive
boolean
Example: includeInactive=false

Whether to include inactive subscriptions

excludePricing
boolean
Example: excludePricing=false

Whether to exclude billing details from the response

excludeStats
boolean
Example: excludeStats=false

Whether to exclude subscription statistics from the response

nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

Responses

Response samples

Content type
application/json
{
  • "ids": [
    ],
  • "nextPageToken": "token",
  • "subscriptions": [
    ]
}

CreateSubscriptionOnBehalfOfCustomer inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

Request Body schema: application/json
required
allowCreatesWhenPaymentNotConfigured
boolean

Whether to allow creating instances when payment is not configured.

billingProvider
string

The billing provider for this subscription

customPrice
boolean

Whether to use a custom price for this subscription

object

If customPrice is true, provide the price per unit for the subscription here.

externalPayerId
string

The external payer ID to record which customer should pay for this subscription

maxNumberOfInstances
integer <int64>

The maximum number of instances that can be created for this subscription. Use -1 to unset this restriction.

onBehalfOfCustomerUserId
required
string

The user ID of the customer that this subscription is on behalf of

priceEffectiveDate
string

The effective date of the price, truncated to the first day of the month. Only the current or future months may be specified.

productTierId
required
string

The product tier ID

Responses

Request samples

Content type
application/json
{
  • "allowCreatesWhenPaymentNotConfigured": true,
  • "billingProvider": "STRIPE|BRING_YOUR_OWN",
  • "customPrice": true,
  • "customPricePerUnit": {
    },
  • "externalPayerId": "a3df-sdf9-gfn3-4g3f",
  • "maxNumberOfInstances": 10,
  • "onBehalfOfCustomerUserId": "Qui autem nisi quia cumque.",
  • "priceEffectiveDate": "2019-01-01T00:00:00Z",
  • "productTierId": "Est assumenda voluptates tempora."
}

Response samples

Content type
application/json
{
  • "id": "Eos repudiandae quo quidem sit."
}

TerminateSubscription inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: sub-12345678

The subscription ID

Responses

DescribeSubscription inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: sub-12345678

The subscription ID

Responses

Response samples

Content type
application/json
{
  • "allowCreatesWhenPaymentNotConfigured": true,
  • "billingProvider": "STRIPE|BRING_YOUR_OWN",
  • "createdAt": "2019-01-01T00:00:00Z",
  • "currentActivePricePerUnit": {
    },
  • "customPrice": true,
  • "externalPayerId": "a3df-sdf9-gfn3-4g3f",
  • "firstUsageTime": "2019-01-01T00:00:00Z",
  • "id": "Aliquid quis sed.",
  • "instanceCount": 3,
  • "maxNumberOfInstances": 10,
  • "productTierId": "Consectetur dolorum sequi exercitationem.",
  • "productTierName": "Omnistrate Multi Tenancy",
  • "rootUserEmail": "abc@gmail.com",
  • "rootUserId": "Et qui.",
  • "rootUserName": "John Doe",
  • "rootUserOrgId": "Aliquid porro est.",
  • "scheduledSubscriptionPricingList": [
    ],
  • "serviceId": "s-123456",
  • "serviceLogoURL": "Praesentium iusto explicabo labore est non.",
  • "serviceName": "MySQL multi-writer service",
  • "status": "ACTIVE|SUSPENDED|TERMINATED|CANCELLED",
  • "subscriptionPricingAuditLogs": [
    ],
  • "updatedAt": "2019-01-01T00:00:00Z",
  • "updatedByUserId": "Est aut.",
  • "updatedByUserName": "John Doe",
  • "updatedByUserOrgId": "Laboriosam mollitia quisquam ut ipsa delectus officia.",
  • "userAttributes": {
    },
  • "userCount": 2
}

UpdateSubscription inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: sub-12345678

The subscription ID

Request Body schema: application/json
required
allowCreatesWhenPaymentNotConfigured
boolean

Whether to allow creating instances when payment is not configured.

billingProvider
string

The billing provider for this subscription

customPrice
boolean

Whether to use a custom price for this subscription

object

If custom price is true, provide the price per unit for the subscription here.

externalPayerId
string

The external payer ID to record which customer should pay for this subscription.

maxNumberOfInstances
integer <int64>

The maximum number of instances that can be created for this subscription. Use -1 to unset this restriction.

priceEffectiveDate
string

The effective date of the price, truncated to the first day of the month. Only the current or future months may be specified.

Responses

Request samples

Content type
application/json
{
  • "allowCreatesWhenPaymentNotConfigured": true,
  • "billingProvider": "STRIPE|BRING_YOUR_OWN",
  • "customPrice": true,
  • "customPricePerUnit": {
    },
  • "externalPayerId": "a3df-sdf9-gfn3-4g3f",
  • "maxNumberOfInstances": 10,
  • "priceEffectiveDate": "2019-01-01T00:00:00Z"
}

ResumeSubscription inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: sub-12345678

The subscription ID

Responses

SuspendSubscription inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: sub-12345678

The subscription ID

Responses

ListSubscriptionRequests inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

query Parameters
status
string
Example: status=PENDING

The status of the subscription request to filter by

Responses

Response samples

Content type
application/json
{
  • "ids": [
    ],
  • "nextPageToken": "next-token",
  • "subscriptionRequests": [
    ]
}

DenySubscriptionRequest inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: subr-12345678

The subscription ID

Responses

DescribeSubscriptionRequest inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: subr-12345678

The subscription ID

Responses

Response samples

Content type
application/json
{
  • "createdAt": "2019-01-01T00:00:00Z",
  • "id": "Ut quisquam non deleniti sed iste nisi.",
  • "productTierId": "Sunt minus rem omnis officia.",
  • "productTierName": "Omnistrate Multi Tenancy",
  • "rootUserEmail": "abc@gmail.com",
  • "rootUserId": "Blanditiis ut vero commodi natus.",
  • "rootUserName": "John Doe",
  • "serviceId": "s-123456",
  • "serviceLogoURL": "Quo excepturi odit.",
  • "serviceName": "MySQL multi-writer service",
  • "status": "PENDING|APPROVED|DENIED|CANCELLED",
  • "updatedAt": "2019-01-01T00:00:00Z",
  • "updatedByUserId": "Quae omnis maiores dicta voluptates officia ut.",
  • "updatedByUserName": "John Doe"
}

ApproveSubscriptionRequest inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

id
required
string
Example: subr-12345678

The subscription ID

Responses

UpdateSubscriptions inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

Request Body schema: application/json
required
allowCreatesWhenPaymentNotConfigured
boolean

Whether to allow creating instances when payment is not configured.

billingProvider
string

The billing provider for this subscription

customPrice
boolean

Whether to use a custom price for this subscription

object

If customPrice is true, provide the price per unit for the subscription here.

externalPayerId
string

The external payer ID to record which customer should pay for this subscription.

maxNumberOfInstances
integer <int64>

The maximum number of instances that can be created for this subscription. Use -1 to unset this restriction.

priceEffectiveDate
string

The effective date of the price, truncated to the first day of the month. Only the current or future months may be specified.

subscriptionIDs
required
Array of strings

List of subscription IDs to update

Responses

Request samples

Content type
application/json
{
  • "allowCreatesWhenPaymentNotConfigured": true,
  • "billingProvider": "STRIPE|BRING_YOUR_OWN",
  • "customPrice": true,
  • "customPricePerUnit": {
    },
  • "externalPayerId": "a3df-sdf9-gfn3-4g3f",
  • "maxNumberOfInstances": 10,
  • "priceEffectiveDate": "2019-01-01T00:00:00Z",
  • "subscriptionIDs": [
    ]
}

DescribeUser inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

userId
required
string
Example: user-12345678

The user ID

Responses

Response samples

Content type
application/json
{
  • "createdAt": "2021-01-01T00:00:00Z",
  • "email": "alice@enterprise.com",
  • "enabled": true,
  • "lastModifiedAt": "2021-01-01T00:00:00Z",
  • "lastModifiedByUserID": "Eaque nobis laboriosam qui iste.",
  • "lastModifiedByUserName": "Alice",
  • "orgId": "Consectetur recusandae ratione ea sit rem.",
  • "orgName": "Enterprise",
  • "status": "ACTIVE|NOT_ENABLED",
  • "subscriptions": [
    ],
  • "token": "fc7b8dea-a50b-4c9a-8864-fc3d845a2be6",
  • "userId": "Dignissimos sit vitae quae voluptatem quasi.",
  • "userName": "Alice"
}

ListUsers inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

environmentId
required
string
Example: se-12345678

The service environment ID this workflow belongs to.

query Parameters
nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

subscriptionId
string
Example: subscriptionId=sub-12345678

The subscription ID of the user

excludeStats
boolean
Example: excludeStats=false

Whether to exclude user statistics from the response

Responses

Response samples

Content type
application/json
{
  • "environmentId": "se-123456",
  • "nextPageToken": "next-token",
  • "serviceId": "s-123456",
  • "users": [
    ]
}

CreateUpgradePath inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

productTierId
required
string
Example: pt-12345678

The product tier ID that this upgrade path belongs to

Request Body schema: application/json
required
object

Configuration overrides for the upgrade path per adopted instance ID. This currently only includes custom Helm chart values and Helm runtime configurations.

maxConcurrentUpgrades
integer <int64>

The maximum number of instances that can be upgraded concurrently. If not specified, falls back to the deployment configuration setting.

notifyCustomer
boolean

Whether to notify the end customer about the upgrade progress.

scheduledDate
string

The future date when the upgrade is planned to be executed. Empty for immediate upgrade.

sourceVersion
required
string

The source version of the upgrade path.

targetVersion
required
string

The target version of the upgrade path.

required
object

The filter to use to choose the instances to upgrade.

Responses

Request samples

Content type
application/json
{
  • "configurationOverrides": {
    },
  • "maxConcurrentUpgrades": 5,
  • "notifyCustomer": true,
  • "scheduledDate": "2020-01-01",
  • "sourceVersion": "1.0",
  • "targetVersion": "2.0",
  • "upgradeFilters": {
    }
}

Response samples

Content type
application/json
{
  • "completedAt": "2020-01-01T00:00:00Z",
  • "completedCount": 2,
  • "createdAt": "2020-01-01T00:00:00Z",
  • "createdBy": "John Doe",
  • "failedCount": 4,
  • "failedInstanceReasons": {
    },
  • "inProgressCount": 7,
  • "lastModifiedBy": "John Doe",
  • "lastRequestedAction": "pause|cancel|resume|skip-instances|notify-customer",
  • "maxConcurrentUpgrades": 5,
  • "notifyCustomer": true,
  • "pendingCount": 3,
  • "plannedExecutionDate": "2020-01-01",
  • "productTierId": "Sint officia excepturi fugit dolor inventore.",
  • "releasedAt": "2020-01-01T00:00:00Z",
  • "scheduledCount": 10,
  • "serviceId": "s-123456",
  • "skippedCount": 0,
  • "sourceVersion": "1.0",
  • "sourceVersionName": "Itaque eveniet quo.",
  • "status": "IN_PROGRESS|COMPLETE|SCHEDULED|PENDING|FAILED|PAUSED|CANCELLED",
  • "statusMessage": "Upgrade path auto-cancelled: paused for longer than 24h0m0s without being resumed",
  • "targetVersion": "2.0",
  • "targetVersionName": "Tenetur accusamus sint.",
  • "totalCount": 16,
  • "type": "Major|Incremental|UserDefined",
  • "updatedAt": "2020-01-01T00:00:00Z",
  • "upgradePathId": "At consequatur quidem facilis in natus molestiae."
}

DescribeUpgradePath inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

productTierId
required
string
Example: pt-12345678

The product tier ID that this upgrade path belongs to

upgradePathId
required
string
Example: up-12345678

The upgrade path ID

Responses

Response samples

Content type
application/json
{
  • "completedAt": "2020-01-01T00:00:00Z",
  • "completedCount": 2,
  • "createdAt": "2020-01-01T00:00:00Z",
  • "createdBy": "John Doe",
  • "failedCount": 4,
  • "failedInstanceReasons": {
    },
  • "inProgressCount": 7,
  • "lastModifiedBy": "John Doe",
  • "lastRequestedAction": "pause|cancel|resume|skip-instances|notify-customer",
  • "maxConcurrentUpgrades": 5,
  • "notifyCustomer": true,
  • "pendingCount": 3,
  • "plannedExecutionDate": "2020-01-01",
  • "productTierId": "Suscipit at.",
  • "releasedAt": "2020-01-01T00:00:00Z",
  • "scheduledCount": 10,
  • "serviceId": "s-123456",
  • "skippedCount": 0,
  • "sourceVersion": "1.0",
  • "sourceVersionName": "Fugiat incidunt aliquid aliquam rerum.",
  • "status": "IN_PROGRESS|COMPLETE|SCHEDULED|PENDING|FAILED|PAUSED|CANCELLED",
  • "statusMessage": "Upgrade path auto-cancelled: paused for longer than 24h0m0s without being resumed",
  • "targetVersion": "2.0",
  • "targetVersionName": "Voluptatem quia placeat error ut.",
  • "totalCount": 16,
  • "type": "Major|Incremental|UserDefined",
  • "updatedAt": "2020-01-01T00:00:00Z",
  • "upgradePathId": "Sapiente pariatur cum iusto sit excepturi."
}

CancelUpgradePath inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

productTierId
required
string
Example: pt-12345678

The product tier ID that this upgrade path belongs to

upgradePathId
required
string
Example: up-12345678

The upgrade path ID

Responses

Response samples

Content type
application/json
{
  • "completedAt": "2020-01-01T00:00:00Z",
  • "completedCount": 2,
  • "createdAt": "2020-01-01T00:00:00Z",
  • "createdBy": "John Doe",
  • "failedCount": 4,
  • "failedInstanceReasons": {
    },
  • "inProgressCount": 7,
  • "lastModifiedBy": "John Doe",
  • "lastRequestedAction": "pause|cancel|resume|skip-instances|notify-customer",
  • "maxConcurrentUpgrades": 5,
  • "notifyCustomer": true,
  • "pendingCount": 3,
  • "plannedExecutionDate": "2020-01-01",
  • "productTierId": "Quam qui temporibus veritatis quas.",
  • "releasedAt": "2020-01-01T00:00:00Z",
  • "scheduledCount": 10,
  • "serviceId": "s-123456",
  • "skippedCount": 0,
  • "sourceVersion": "1.0",
  • "sourceVersionName": "Perspiciatis tempora magni cum deleniti magnam qui.",
  • "status": "IN_PROGRESS|COMPLETE|SCHEDULED|PENDING|FAILED|PAUSED|CANCELLED",
  • "statusMessage": "Upgrade path auto-cancelled: paused for longer than 24h0m0s without being resumed",
  • "targetVersion": "2.0",
  • "targetVersionName": "In aut iste ex eius voluptatem laboriosam.",
  • "totalCount": 16,
  • "type": "Major|Incremental|UserDefined",
  • "updatedAt": "2020-01-01T00:00:00Z",
  • "upgradePathId": "Voluptas eius."
}

ListEligibleInstancesPerUpgrade inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

productTierId
required
string
Example: pt-12345678

The product tier ID that this upgrade path belongs to

upgradePathId
required
string
Example: up-12345678

The upgrade path ID

query Parameters
nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

Responses

Response samples

Content type
application/json
{
  • "instances": [
    ],
  • "nextPageToken": "next-token",
  • "productTierId": "Tempora delectus et ut aut officia fugiat.",
  • "serviceId": "s-123456",
  • "upgradePathId": "Libero est modi dolores."
}

ManageUpgradePath inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

productTierId
required
string
Example: pt-12345678

The product tier ID that this upgrade path belongs to

upgradePathId
required
string
Example: up-12345678

The upgrade path ID

Request Body schema: application/json
required
action
required
string

The action to perform on the upgrade path.

object

The action payload to perform on the upgrade path.

Responses

Request samples

Content type
application/json
{
  • "action": "pause|cancel|resume|skip-instances|notify-customer",
  • "actionPayload": {
    }
}

Response samples

Content type
application/json
{
  • "completedAt": "2020-01-01T00:00:00Z",
  • "completedCount": 2,
  • "createdAt": "2020-01-01T00:00:00Z",
  • "createdBy": "John Doe",
  • "failedCount": 4,
  • "failedInstanceReasons": {
    },
  • "inProgressCount": 7,
  • "lastModifiedBy": "John Doe",
  • "lastRequestedAction": "pause|cancel|resume|skip-instances|notify-customer",
  • "maxConcurrentUpgrades": 5,
  • "notifyCustomer": true,
  • "pendingCount": 3,
  • "plannedExecutionDate": "2020-01-01",
  • "productTierId": "In itaque.",
  • "releasedAt": "2020-01-01T00:00:00Z",
  • "scheduledCount": 10,
  • "serviceId": "s-123456",
  • "skippedCount": 0,
  • "sourceVersion": "1.0",
  • "sourceVersionName": "Iste tenetur asperiores molestiae.",
  • "status": "IN_PROGRESS|COMPLETE|SCHEDULED|PENDING|FAILED|PAUSED|CANCELLED",
  • "statusMessage": "Upgrade path auto-cancelled: paused for longer than 24h0m0s without being resumed",
  • "targetVersion": "2.0",
  • "targetVersionName": "Optio consequatur aut quaerat quaerat.",
  • "totalCount": 16,
  • "type": "Major|Incremental|UserDefined",
  • "updatedAt": "2020-01-01T00:00:00Z",
  • "upgradePathId": "Et qui id sit veniam mollitia."
}

ListUpgradePaths inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
serviceId
required
string
Example: s-12345678

The service ID this workflow belongs to.

productTierId
required
string
Example: pt-12345678

The product tier ID that this upgrade path belongs to

query Parameters
sourceProductTierVersion
string
Example: sourceProductTierVersion=1.0

The source product tier version to list upgrade paths for

targetProductTierVersion
string
Example: targetProductTierVersion=2.0

The target product tier version to list upgrade paths for

status
string
Example: status=COMPLETE

The status of the upgrade path to filter by

type
string
Example: type=Major

The type of the upgrade path to filter by

nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

Responses

Response samples

Content type
application/json
{
  • "nextPageToken": "next-token",
  • "upgradePaths": [
    ]
}

ListServicesOrchestrations inventory-api

Authorizations:
api_key_header_Authorization
query Parameters
environmentType
required
string
Example: environmentType=PROD|PRIVATE|CANARY|STAGING|QA|DEV|GLOBAL

The environment type

Responses

Response samples

Content type
application/json
[
  • {
    },
  • {
    }
]

CreateServicesOrchestration inventory-api

Authorizations:
api_key_header_Authorization
Request Body schema: application/json
required
orchestrationCreateDSL
required
string

base64 encoded content of service orchestration create DSL

Responses

Request samples

Content type
application/json
{
  • "orchestrationCreateDSL": "Et ipsa omnis in porro."
}

Response samples

Content type
application/json
{
  • "id": "Pariatur animi provident impedit labore voluptatum nostrum."
}

DeleteServicesOrchestration inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: so-12345678

The ID of the services orchestration

Responses

DescribeServicesOrchestration inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: so-12345678

The ID of the services orchestration

Responses

Response samples

Content type
application/json
{
  • "accessServicesOrchestration": {
    }
}

ModifyServicesOrchestration inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: so-12345678

The ID of the services orchestration

Request Body schema: application/json
required
orchestrationModifyDSL
required
string

base64 encoded content of services orchestration modify DSL

Responses

Request samples

Content type
application/json
{
  • "orchestrationModifyDSL": "Non animi."
}

CreateConsumptionUser inventory-api

Authorizations:
api_key_header_Authorization
Request Body schema: application/json
required
object

Additional attributes of the user.

companyUrl
string

Company URL of the user.

email
required
string <email> non-empty

Email address of the user

enableAutoVerification
required
boolean

Whether to enable auto verification for the user.

legalCompanyName
required
string non-empty

Legal company name of the user.

name
required
string non-empty

Name of the user

password
required
string non-empty

Password of the user

Responses

Request samples

Content type
application/json
{
  • "attributes": {
    },
  • "companyUrl": "https://mywebsite.com",
  • "email": "abc@gmail.com",
  • "enableAutoVerification": true,
  • "legalCompanyName": "mywebsite",
  • "name": "John Doe",
  • "password": "password"
}

Response samples

Content type
application/json
"Earum reprehenderit sunt id accusamus quas."

DeleteUser inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
userId
required
string
Example: user-12345678

The user ID

Responses

DescribeOrgUser inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
userId
required
string
Example: user-12345678

The user ID

Responses

Response samples

Content type
application/json
{
  • "createdAt": "2021-01-01T00:00:00Z",
  • "email": "alice@enterprise.com",
  • "enabled": true,
  • "lastModifiedAt": "2021-01-01T00:00:00Z",
  • "lastModifiedByUserID": "Possimus suscipit dolorem consectetur quo voluptatem qui.",
  • "lastModifiedByUserName": "Alice",
  • "orgId": "Corporis enim.",
  • "orgName": "Enterprise",
  • "status": "ACTIVE|NOT_ENABLED",
  • "subscriptions": [
    ],
  • "token": "fc7b8dea-a50b-4c9a-8864-fc3d845a2be6",
  • "userId": "Animi doloribus recusandae mollitia.",
  • "userName": "Alice"
}

UpdateConsumptionUser inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
userId
required
string
Example: user-12345678

The user ID

Request Body schema: application/json
required
object

Additional attributes of the user.

Responses

Request samples

Content type
application/json
{
  • "attributes": {
    }
}

SuspendUser inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
userId
required
string
Example: user-12345678

The user ID

Responses

UnsuspendUser inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
userId
required
string
Example: user-12345678

The user ID

Responses

ResendVerificationEmail inventory-api

Authorizations:
api_key_header_Authorization
path Parameters
userId
required
string
Example: user-12345678

The user ID

Responses

ListAllUsers inventory-api

Authorizations:
api_key_header_Authorization
query Parameters
nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

serviceId
string
Example: serviceId=s-12345678

The service ID of the users

excludeStats
boolean
Example: excludeStats=false

Whether to exclude user statistics from the response

Responses

Response samples

Content type
application/json
{
  • "nextPageToken": "next-token",
  • "serviceId": "s-123456",
  • "users": [
    ]
}

hostcluster-api

The set of APIs manage the host clusters for service providers.

ListHostClusterEntities hostcluster-api

List the host cluster entities.

Authorizations:
api_key_header_Authorization
path Parameters
hostClusterID
required
string
Example: hc-12345abcd

ID of the host cluster whose entities are to be listed

entityType
required
string
Example: NAMESPACE

Type of entities to list (e.g., NAMESPACE, SERVICE, POD, etc.)

Responses

Response samples

Content type
application/json
{
  • "entities": [
    ]
}

DeleteEntity hostcluster-api

Delete a host cluster entity.

Authorizations:
api_key_header_Authorization
path Parameters
hostClusterID
required
string
Example: hc-12345abcd

ID of the host cluster to which the entity belongs

entityType
required
string
Example: NAMESPACE

Type of the entity (e.g., NAMESPACE, SERVICE, POD, etc.)

entityID
required
string
Example: namespace-12345

Unique identifier of the entity to delete

Responses

DescribeHostClusterEntity hostcluster-api

Retrieve the host cluster entity details.

Authorizations:
api_key_header_Authorization
path Parameters
hostClusterID
required
string
Example: hc-12345abcd

ID of the host cluster to which the entity belongs

entityType
required
string
Example: NAMESPACE

Type of the entity (e.g., NAMESPACE, SERVICE, POD, etc.)

entityID
required
string
Example: namespace-12345

Unique identifier of the entity to describe

Responses

Response samples

Content type
application/json
{
  • "identifier": "namespace-12345",
  • "properties": {
    },
  • "type": "NAMESPACE"
}

SetNodePoolProperty hostcluster-api

Set the node pool property.

Authorizations:
api_key_header_Authorization
path Parameters
hostClusterID
required
string
Example: hc-12345abcd

ID of the host cluster to which the entity belongs

nodePoolName
required
string
Example: nodepool-1

Unique identifier of the node pool to update

Request Body schema: application/json
required
maxSize
required
integer <int64>

New maximum size for the node pool

Responses

Request samples

Content type
application/json
{
  • "maxSize": 10
}

DescribeDeploymentCellWorkflow hostcluster-api

Retrieve the deployment cell workflow details.

Authorizations:
api_key_header_Authorization
path Parameters
hostClusterID
required
string
Example: hc-abcdefgh

ID of the Host Cluster

workflowID
required
string
Example: redeploy-hc-abcdefgh

ID of the Deployment Cell Workflow

Responses

Response samples

Content type
application/json
{
  • "hostClusterID": "hc-abcdefgh",
  • "status": {
    },
  • "workflow": {
    },
  • "workflowID": "redeploy-hc-abcdefgh"
}

GetDeploymentCellWorkflowEvents hostcluster-api

Get events for a deployment cell workflow.

Authorizations:
api_key_header_Authorization
path Parameters
hostClusterID
required
string
Example: hc-abcdefgh

ID of the Host Cluster

workflowID
required
string
Example: redeploy-hc-abcdefgh

ID of the Deployment Cell Workflow

Responses

Response samples

Content type
application/json
{
  • "eventsPerWorkflowStep": [
    ],
  • "hostClusterID": "hc-abcdefgh",
  • "workflowID": "redeploy-hc-abcdefgh"
}

ListDeploymentCellWorkflows hostcluster-api

List the deployment cell workflows.

Authorizations:
api_key_header_Authorization
path Parameters
hostClusterID
required
string
Example: hc-abcdefgh

The host cluster ID to filter by

query Parameters
startDate
string <date-time>
Example: startDate=2023-01-01T10:00:00Z

Start date of the workflows

endDate
string <date-time>
Example: endDate=2024-01-01T10:00:00Z

End date of the workflows

nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

Responses

Response samples

Content type
application/json
{
  • "hostClusterID": "hc-abcdefgh",
  • "nextPageToken": "token",
  • "totalCount": 42,
  • "workflows": [
    ]
}

DeleteHostCluster hostcluster-api

Delete an empty host cluster.

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: hc-12345678

ID of the host cluster to delete

Responses

DescribeHostCluster hostcluster-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: hc-12345678

ID of the host cluster to describe

Responses

Response samples

Content type
application/json
{
  • "EnvironmentType": "PROD|PRIVATE|CANARY|STAGING|QA|DEV|GLOBAL",
  • "accountConfigId": "Dicta accusantium sed nulla error aliquid in.",
  • "accountID": "123456789012",
  • "amenities": [
    ],
  • "cloudProvider": "aws|azure|gcp|nebius|oci|all",
  • "createdAt": "2021-01-01T00:00:00Z",
  • "currentNumberOfDeployments": 2,
  • "customNetworkDetail": {
    },
  • "customerEmail": "admin@example.com",
  • "customerOrganizationName": "My Customer Organization",
  • "description": "My Host Cluster",
  • "hasPendingChanges": true,
  • "healthStatus": {
    },
  • "helmPackages": [
    ],
  • "id": "Quibusdam asperiores deleniti quod soluta.",
  • "intermediaryAccountDetail": {
    },
  • "isCustomDeployment": true,
  • "isInSyncWithOrgTemplate": true,
  • "key": "my-host-cluster",
  • "kubernetesDashboardEndpoint": "https://my-k8s-dashboard.com",
  • "modelType": "OMNISTRATE_HOSTED|CUSTOMER_HOSTED|BYOA",
  • "pendingAmenities": [
    ],
  • "region": "us-east-1",
  • "regionId": "Deserunt sapiente.",
  • "role": "Dataplane|Provisioner",
  • "status": "FAILED|CANCELLED|PENDING_DEPENDENCY|PENDING|RUNNING|DEPLOYING|UPLOADING|READY|SUCCESS|COMPLETE|DELETING|DELETED|UNKNOWN|DISCONNECTED|DISCONNECTING|CONNECTING|DEACTIVATED",
  • "type": "Kubernetes"
}

UpdateHostCluster hostcluster-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: hc-12345678

ID of the host cluster to update

Request Body schema: application/json
required
Array of objects (Amenity)

The pending amenities for the host cluster

syncWithOrgTemplate
boolean

Whether to sync the host cluster with the org template

Responses

Request samples

Content type
application/json
{
  • "pendingAmenities": [
    ],
  • "syncWithOrgTemplate": true
}

ApplyPendingChangesToHostCluster hostcluster-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: hc-12345678

ID of the host cluster to apply pending changes to

Responses

CancelHostClusterDeployment hostcluster-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: hc-12345678

ID of the host cluster where the deployment is located

Responses

GenerateTokenForHostClusterDashboard hostcluster-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: hc-12345678

ID of the host cluster to delete

Responses

Response samples

Content type
application/json
{
  • "expirationTimestamp": "2021-01-01T00:00:00Z",
  • "token": "token"
}

DebugHostCluster hostcluster-api

Debug a host cluster.

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: hc-12345678

ID of the host cluster to debug

query Parameters
includeAmenitiesInstallationLogs
boolean
Example: includeAmenitiesInstallationLogs=true

Include the installation logs of the amenities in the host cluster

Responses

Response samples

Content type
application/json
{
  • "customHelmExecutionLogsBase64": {
    }
}

KubeConfigHostCluster hostcluster-api

Retrieve the kubeconfig for a host cluster.

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: hc-12345678

ID of the host cluster to get the kubeconfig for

query Parameters
role
string
Default: "cluster-reader"
Example: role=cluster-admin|cluster-reader

The role of the service account to use for the kubeconfig

Responses

Response samples

Content type
application/json
{
  • "apiServerEndpoint": "https://api.my-host-cluster.com",
  • "caDataBase64": "base64-encoded-ca-data",
  • "clientCertificateDataBase64": "base64-encoded-client-certificate-data",
  • "clientKeyDataBase64": "base64-encoded-client-key-data",
  • "id": "Excepturi deserunt pariatur laudantium aut impedit at.",
  • "serviceAccountToken": "base64-encoded-service-account-token",
  • "userName": "omnistrate-user"
}

RestartHostClusterDeployment hostcluster-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: hc-12345678

ID of the host cluster where the deployment is located

Responses

AdoptHostCluster hostcluster-api

Adopt a self-managed host cluster.

Authorizations:
api_key_header_Authorization
Request Body schema: application/json
required
cloudProvider
required
string
customerEmail
string

Email of the customer who owns the host cluster in case this is a BYOA host cluster

description
required
string non-empty

Description of the host cluster

id
required
string

ID of the host cluster to adopt

region
required
string

The actual region name of the host cluster

Responses

Request samples

Content type
application/json
{
  • "cloudProvider": "aws|azure|gcp|nebius|oci|all",
  • "customerEmail": "mycustomer@example.com",
  • "description": "My Adopted Host Cluster",
  • "id": "Minus aliquid nobis architecto natus sequi inventore.",
  • "region": "us-east-1"
}

Response samples

Content type
application/json
{
  • "adoptionStatus": "FAILED|CANCELLED|PENDING_DEPENDENCY|PENDING|RUNNING|DEPLOYING|UPLOADING|READY|SUCCESS|COMPLETE|DELETING|DELETED|UNKNOWN|DISCONNECTED|DISCONNECTING|CONNECTING|DEACTIVATED",
  • "agentInstallationKit": "base64-encoded-tar-archive"
}

ListHostClusters hostcluster-api

Authorizations:
api_key_header_Authorization
query Parameters
accountConfigId
string
Example: accountConfigId=ac-12345678

The account config ID of the host cluster

regionId
string
Example: regionId=region-12345678

The region ID of the host cluster

includeProvisionerClusters
boolean
Example: includeProvisionerClusters=true

Whether to include provisioner clusters in the response

customerEmail
string
Example: customerEmail=admin@example.com

The email of the customer to filter host clusters by

Responses

Response samples

Content type
application/json
{
  • "hostClusters": [
    ],
  • "token": "jmr"
}

events-api

The set of APIs manage the events for service providers.

ListEvents events-api

Authorizations:
api_key_header_Authorization
query Parameters
environmentType
string
Example: environmentType=DEV

The environment type to filter by

Responses

Response samples

Content type
application/json
{
  • "events": [
    ]
}

AcknowledgeEvent events-api

Authorizations:
api_key_header_Authorization
path Parameters
id
required
string
Example: e-123456

The ID of the event

Responses

audit-events-api

The set of APIs for auditing fleet events for service providers.

AuditEvents audit-events-api

Authorizations:
api_key_header_Authorization
query Parameters
nextPageToken
string
Example: nextPageToken=token

The next token to use for pagination

pageSize
integer <int64>
Example: pageSize=10

The number of resources to return per page

serviceID
string
Example: serviceID=s-123456

The service ID to list events for

environmentType
string
Example: environmentType=PROD|PRIVATE|CANARY|STAGING|QA|DEV|GLOBAL

The type of service environment

eventSourceTypes
Array of strings
Example: eventSourceTypes=Omnis officia aut eos sed et voluptas.&eventSourceTypes=Optio alias quis in nesciunt.

The event types to filter by

instanceID
string
Example: instanceID=instance-12345678

The instance ID to list events for

productTierID
string
Example: productTierID=Veritatis rerum quam voluptates eum.

ID of a Product Tier

startDate
string <date-time>
Example: startDate=2023-01-01T10:00:00Z

Start date of the events

endDate
string <date-time>
Example: endDate=2024-01-01T10:00:00Z

End date of the events

excludeWorkflowFailures
boolean
Example: excludeWorkflowFailures=true

Whether to exclude workflow failure details from the response.

Responses

Response samples

Content type
application/json
{
  • "events": [
    ],
  • "ids": [
    ],
  • "nextPageToken": "token"
}

operations-api

The set of APIs manage the operations and observe overall fleet health for service providers

DeploymentCellHealth operations-api

Authorizations:
api_key_header_Authorization
query Parameters
hostClusterID
string
Example: hostClusterID=hc-12345678

The host cluster ID to get the health for

serviceID
string
Example: serviceID=s-12345678

The service ID to get the health for

serviceEnvironmentID
string
Example: serviceEnvironmentID=se-12345678

The service environment ID to get the health for

Responses

Response samples

Content type
application/json
{
  • "cloudProvider": "aws|azure|gcp|nebius|oci|all",
  • "hostClusterID": "Laborum neque qui.",
  • "instanceHealth": {
    },
  • "regionCode": "us-west-1",
  • "serviceEnvironmentName": "prod",
[...]
